<?php
/** بسم الله الرحمن الرحيم **

Plugin Name: Aqua Page Builder 
Plugin URI: http://aquagraphite.com/page-builder
Description: Easily create custom page templates with intuitive drag-and-drop interface. Requires PHP5 and WP3.5
Version: 1.1.2
Author: Syamil MJ
Author URI: http://aquagraphite.com

*/
 
/**
 * Copyright (c) 2013 Syamil MJ. All rights reserved.
 *
 * Released under the GPL license
 * http://www.opensource.org/licenses/gpl-license.php
 *
 * This is an add-on for WordPress
 * http://wordpress.org/
 *
 * **********************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * **********************************************************************
 */

//definitions
if(!defined('AQPB_VERSION')) define( 'AQPB_VERSION', '1.1.2' );
if(!defined('AQPB_PATH')) define( 'AQPB_PATH', plugin_dir_path(__FILE__) );
if(!defined('AQPB_DIR')) define( 'AQPB_DIR', plugin_dir_url(__FILE__) );

//required functions & classes
require_once(AQPB_PATH . 'functions/aqpb_config.php');
require_once(AQPB_PATH . 'functions/aqpb_blocks.php');
require_once(AQPB_PATH . 'classes/class-aq-page-builder.php');
require_once(AQPB_PATH . 'classes/class-aq-block.php');
//require_once(AQPB_PATH . 'classes/class-aq-plugin-updater.php');
require_once(AQPB_PATH . 'functions/aqpb_functions.php');

//BFI Thumb Crop Imgage
require_once(AQPB_PATH . 'functions/BFI_Thumb.php');

//some default blocks
require_once(AQPB_PATH . 'blocks/st-text-block.php');
require_once(AQPB_PATH . 'blocks/st-widgets-block.php');
require_once(AQPB_PATH . 'blocks/st-alert-block.php');
require_once(AQPB_PATH . 'blocks/st-tabs-block.php');


//Goddess Block
require_once(AQPB_PATH . 'blocks/st-welcome-block.php');
require_once(AQPB_PATH . 'blocks/st-slider-carousel-block.php');
require_once(AQPB_PATH . 'blocks/st-portfolio-block.php');
require_once(AQPB_PATH . 'blocks/st-post-block.php');
require_once(AQPB_PATH . 'blocks/st-client-block.php');
require_once(AQPB_PATH . 'blocks/st-contact-block.php');
require_once(AQPB_PATH . 'blocks/st-contactform-block.php');
require_once(AQPB_PATH . 'blocks/st-subscription-block.php');
require_once(AQPB_PATH . 'blocks/st-slider-block.php');
require_once(AQPB_PATH . 'blocks/st-features-block.php');
require_once(AQPB_PATH . 'blocks/st-aboutus-block.php');
require_once(AQPB_PATH . 'blocks/st-pricing-block.php');
require_once(AQPB_PATH . 'blocks/st-footer-block.php');

//register default blocks
aq_register_block('ST_Text_Block');
aq_register_block('ST_Widgets_Block');
aq_register_block('ST_Alert_Block');
aq_register_block('ST_Tabs_Block');

//register goddess blocks
aq_register_block('VT_Welcome_Block');
aq_register_block('VT_Slider_Carousel_Block');
aq_register_block('VT_Portfolio_Block');
aq_register_block('VT_Post_Block');
aq_register_block('ST_ContactForm_Block');
aq_register_block('ST_Subscription_Block');
aq_register_block('ST_Client_Block');
aq_register_block('ST_Contact_Block');
aq_register_block('ST_Slider_Block');
aq_register_block('ST_Features_Block');
aq_register_block('ST_Aboutus_Block');
aq_register_block('ST_Pricing_Block');
aq_register_block('ST_Footer_Block');
//fire up page builder
$aqpb_config = aq_page_builder_config();
$aq_page_builder = new AQ_Page_Builder($aqpb_config);
if(!is_network_admin()) $aq_page_builder->init();

