<?php
/* List Block */
if(!class_exists('ST_Contact_Block')) {
class ST_Contact_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-cogs"></i> Contact',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_contact_block', $block_options);
	
	//add ajax functions
	
	}
	
   function form($instance){
        $defaults = array(
			'title' => '',
			'address' => '',
			'long1' => '',
			'lat1' => '',
            'long2'=>'',
            'lat2'=>'',
            'icon1' =>'',
            'icon2' =>'',
            'icon3'=> '',
            'image'=>'',
        );
        $instance = wp_parse_args($instance, $defaults);
        extract($instance);
	?>
    <h3 style="text-align: center;">Contacts</h3>
    <div class="description ">
        <label for="<?php echo $this->get_field_id('title') ?>">
        Title <br/><em style="font-size: 0.8em;">(Please enter title contacts)</em><br/>
        <?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
        </label>
    </div>
	<div class="description ">
        <label for="<?php echo $this->get_field_id('address') ?>">
        Address <br/><em style="font-size: 0.8em;">(Please enter address contacts)</em><br/>
        <?php echo aq_field_textarea('address', $block_id, $address, $size = 'full') ?>
        </label>
    </div>
    <div class="cf"></div>
   	<div class="description third">
        <label for="<?php echo $this->get_field_id('icon1') ?>">
        Icon map <br/><code>Ex: fa-globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
        <?php echo aq_field_input('icon1', $block_id, $icon1, $size = 'full') ?>
        </label>
    </div>
   	<div class="description third">
        <label for="<?php echo $this->get_field_id('icon2') ?>">
        Icon image <br/><code>Ex: fa-globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
        <?php echo aq_field_input('icon2', $block_id, $icon2, $size = 'full') ?>
        </label>
    </div>
   	<div class="description third last">
        <label for="<?php echo $this->get_field_id('icon3') ?>">
        Icon view <br/><code>Ex: fa-globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
        <?php echo aq_field_input('icon3', $block_id, $icon3, $size = 'full') ?>
        </label>
    </div>
    <div class="cf"></div>
    <h3 style="text-align: center;">Contact map</h3>
   	<div class="description half">
        <label for="<?php echo $this->get_field_id('lat1') ?>">
        Latitude <br/><em style="font-size: 0.8em;">(Please enter latitude contacts map)</em><br/>
        <?php echo aq_field_input('lat1', $block_id, $lat1, $size = 'full') ?>
        </label>
    </div>
   	<div class="description half last">
        <label for="<?php echo $this->get_field_id('long1') ?>">
        Longitude <br/><em style="font-size: 0.8em;">(Please enter longitude contact map)</em><br/>
        <?php echo aq_field_input('long1', $block_id, $long1, $size = 'full') ?>
        </label>
    </div>
    <div class="cf"></div>
    <h3 style="text-align: center;">Contact image</h3>
   	<div class="description">
		<label for="<?php echo $this->get_field_id('image') ?>">
			Image <br/><em style="font-size: 0.8em;">(Chosen image for contact image)</em><br/>
			<?php echo aq_field_upload('image', $block_id, $image, $media_type = 'image') ?>
		</label>
	</div>  
    <h3 style="text-align: center;">Contact view</h3>
   	<div class="description half">
        <label for="<?php echo $this->get_field_id('lat2') ?>">
        Latitude <br/><em style="font-size: 0.8em;">(Please enter latitude contacts map)</em><br/>
        <?php echo aq_field_input('lat2', $block_id, $lat2, $size = 'full') ?>
        </label>
    </div>
   	<div class="description half last">
        <label for="<?php echo $this->get_field_id('long2') ?>">
        Longitude <br/><em style="font-size: 0.8em;">(Please enter longitude contact map)</em><br/>
        <?php echo aq_field_input('long2', $block_id, $long2, $size = 'full') ?>
        </label>
    </div>
    <div class="cf"></div>
<?php
}
    function block($instance){
    extract($instance);
    $image = (!empty($image) ? ''.esc_url($image) : '');
    $title = (!empty($title) ? ''.esc_attr($title) : ''); 
    $address = (!empty($address) ? ''.esc_attr($address) : ''); 
    $icon1 = (!empty($icon1) ? ''.esc_attr($icon1) : ''); 
    $icon2 = (!empty($icon2) ? ''.esc_attr($icon2) : ''); 
    $icon3 = (!empty($icon3) ? ''.esc_attr($icon3) : ''); 
    $long1 = (!empty($long1) ? ''.esc_attr($long1) : ''); 
    $long2 = (!empty($long2) ? ''.esc_attr($long2) : ''); 
    $lat1 = (!empty($lat1) ? ''.esc_attr($lat1) : ''); 
    $lat2 = (!empty($lat2) ? ''.esc_attr($lat2) : ''); 
    
    ?>
        <section id="g-contacts">
			<div class="container">
				<h1 class="main-title"><span><?php echo htmlspecialchars_decode($title);?></span></h1>
				<p class="main-title-description"><?php echo htmlspecialchars_decode($address);?></p>
				<div class="row">
					<div class="col-lg-8 col-lg-offset-2">
						<!-- Nav tabs -->
						<ul class="nav nav-tabs-circle">
						  <li><a href="#tab-01-gmap" data-toggle="tab"><i class="fa <?php echo $icon1;?> fa-2x"></i></a></li>
						  <li class="active"><a href="#tab-01-gphoto" data-toggle="tab"><i class="fa <?php echo $icon2;?> fa-2x"></i></a></li>
						  <li><a href="#tab-01-gsview" data-toggle="tab"><i class="fa <?php echo $icon3;?> fa-2x"></i></a></li>
						</ul>

						<!-- Tab panes -->
						<div class="tab-content tab-contacts">
						  <div class="tab-pane fade" id="tab-01-gmap">
							<div id="gmap" class="map"></div>
						  </div>
						  <div class="tab-pane tab-pane-margin fade in active" id="tab-01-gphoto">
							<img src="<?php echo $image;?>" class="img-responsive" alt="...">
						  </div>
						  <div class="tab-pane tab-pane-margin fade" id="tab-01-gsview">
							<div id="gmap-streetview" class="gmap-streetview"></div>
						  </div>
						</div>
					</div>
				</div>
			</div>	
        </section>    
     <script type="text/javascript">
		jQuery('document').ready(function(){
			map = new GMaps({
			el: '#gmap',
			lat: <?php echo $lat1;?>,
			lng: <?php echo $long1;?>,
			stylers: { saturation: -100 },
			scrollwheel: false,
			zoomControl: true,
			zoomControlOpt: {
				style: 'SMALL',
				position: 'TOP_LEFT'
			},
			panControl: false,
			streetViewControl: false,
			mapTypeControl: false,
			overviewMapControl: false
		});
		// Marker
		map.drawOverlay({
			lat: <?php echo $lat1;?>,
			lng: <?php echo $long1;?>,
			content: '<div class="gmap-overlay-marker"><i class="fa fa-map-marker"></i></div>'
		});

		// Initialize Google Street View
		GMaps.createPanorama({
				el: '#gmap-streetview',
				lat: <?php echo $lat2;?>,
				lng: <?php echo $long2;?>,
				scrollwheel: false,
				addressControl: false,
				linksControl: true, //shows the arrows and paths within the street
				pov: {
					heading: 245, // The camera heading in degrees relative to true north. North is 0, East is 90, etc.
					pitch: 20, // The camera pitch in degrees, relative to the street view. 90 is directly up, -90 is directly down
					zoom: 0 // The zoom level. Fully zoomed-out is level 0
				}
			});
        });
  </script>
    
    <?php
    
		    }	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
		}
}
}