<?php
/* List Block */
if(!class_exists('ST_Features_Block')) {
class ST_Features_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-users"></i> Features',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_features_block', $block_options);
	
	//add ajax functions
	add_action('wp_ajax_aq_block_checkbtn2_add_new', array($this, 'add_checkbtn_btn'));
	}
	
	function form($instance) {
	
		$defaults = array(
			'title' => 'Title',
            'desc'  => '',
            'column' => '4',
            'shortbtns' => array(
	            1 => array(
		            'title' => 'New Features',
                    'description' => '',
		            'icon' => '',		  		
	            )
            ),
            
		);      
        $column_options = array (
            '3' => 'Three',
            '4' => 'Four',
            '6' => 'Six',
		); 
	$instance = wp_parse_args($instance, $defaults);
	extract($instance);
	
	?>
	
	<div class="description">
		<label for="<?php echo $this->get_field_id('title') ?>">
			Title
			<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		</label>
	</div>
	<div class="description">
		<label for="<?php echo $this->get_field_id('desc') ?>">
			Description:
			<?php echo aq_field_textarea('desc', $block_id, $desc, $size = 'full') ?>
		</label>
	</div>
    <div class="description third">
		<label for="<?php echo $this->get_field_id('column') ?>">
			Column<br/><em style="font-size: 0.8em;">Chosen column(3,4,6)</em><br/>
			<?php echo aq_field_select('column', $block_id, $column_options, $column, $size = 'full') ?>
		</label>
   	</div>
	<div class="cf"></div>
	<h3 style="text-align: center;">Add Your Features</h3>
	<div class="description cf">
	    <ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
		    <?php
			    $shortbtns = is_array($shortbtns) ? $shortbtns : $defaults['shortbtns'];
			    $count = 1;
			    foreach($shortbtns as $shortbtn) {	
				    $this->shortbtn($shortbtn, $count);
				    $count++;
			    }
		    ?>
	    </ul>
	    <p></p>
	    	<a href="#" rel="checkbtn2" class="aq-sortable-add-new button">Add New Btn</a>
	    <p></p>
    </div>
    
	<?php
	}
	function shortbtn($shortbtn = array(), $count = 0) {

?>
	<li id="sortable-shortbtn-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
		<div class="sortable-head cf">
			<div class="sortable-title">
				<strong><?php echo $shortbtn['title'] ?></strong>
			</div>
			<div class="sortable-handle">
				<a href="#">Open / Close</a>
			</div>
		</div>
	<div class="sortable-body">
	<div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title">
			Title<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][title]" value="<?php echo $shortbtn['title'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-description">
			Description<br/>
	<textarea type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-description" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][description]" value="<?php echo $shortbtn['description'] ?>" ><?php echo $shortbtn['description'] ?></textarea>
		</label>
	</div>
    <div class="tab-desc description">
      <label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon">
       Icon class <br/><code>Ex: globe</code><a target="_blank" href="http://fortawesome.github.io/Font-Awesome/icons/"> view more icon </a><br/>
       <input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-icon" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][icon]" value="<?php echo $shortbtn['icon'] ?>" />
      </label>
    </div>
	<p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
	</div>
	</li>

  <?php  
    }
		
    function add_checkbtn_btn() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$shortbtn = array(
			'title' => 'New Features',
            'description' => '',
            'icon' => '',            
		);
		
		if($count) {
			$this->shortbtn($shortbtn, $count);
		} else {
			die(-1);
		}
		
		die();
		}
	function block($instance) {
	extract($instance);
    ?>
	   <!-- FEATURES -->
    <section id="g-features">
        <div class="container">
            <h1 class="main-title"><span><?php echo $title; ?></span></h1>
            <p class="main-title-description"><?php echo $desc; ?></p>
            <div class="row text-center features-stuff">
            <?php if(!empty($shortbtns)){
					$i=1;
                    foreach($shortbtns as $shortbtn){
                        if($shortbtn['icon'] != ''){
                ?>
                <?php if($column=='3'){?>
                <div class="col-lg-4 col-md-4 col-sm-6 col-sm-offset-0 col-xs-10 col-xs-offset-1 hover-listener-for-icons" style="<?php if($i%3==1){echo 'clear:both';}?>" >
                <?php }elseif($column=='4'){?>
                <div class="col-lg-3 col-md-3 col-sm-6 col-sm-offset-0 col-xs-10 col-xs-offset-1 hover-listener-for-icons" style="<?php if($i%4==1){echo 'clear:both';}?>">
                <?php }elseif($column=='6'){?>
                <div class="col-lg-2 col-md-2 col-sm-6 col-sm-offset-0 col-xs-10 col-xs-offset-1 hover-listener-for-icons" style="<?php if($i%6==1){echo 'clear:both';}?>">
                <?php }?>
                    <span class="fa-stack fa-2x">
                      <i class="fa fa-circle fa-stack-2x"></i>
                      <i class="fa <?php echo $shortbtn['icon']; ?> fa-stack-1x fa-inverse"></i>
                    </span>
                    <h3><strong><?php echo $shortbtn['title']; ?></strong></h3>
                    <div class="separator-theme-color"></div>
                    <p><?php echo $shortbtn['description']; ?></p>
                </div>
            <?php  }
                    $i++; }
                }
            ?>    
            </div>
        </div>
    </section>

<!-- FEATURES -->
    <?php 
    }
	
	/* AJAX add testimonial */
	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}
}