<?php
/* Work Block */
if(!class_exists('VT_Portfolio_Block')) {
class VT_Portfolio_Block extends AQ_Block {
   
   function __construct() {
	    $block_options = array(
	    'name' => '<i class="fa fa-archive"></i> Portfolio',
	    'size' => 'col-md-12',
    );
    
	    //create the widget
	    parent::__construct('vt_portfolio_block', $block_options);
    } 
    
   function form($instance){
        $defaults = array(
			'title' => 'Title Portfolio',
			'subtitle' => 'Subtitle Portfolio',
		    'show' => '6',
			'orderby' => 'date',
			'orderpost' => 'ASC',
			'description' => '',
        );
        $instance = wp_parse_args($instance, $defaults);
        extract($instance);
		$orderpost_options = array (
			'ASC' => 'ASC : lowest to highest',
			'DESC' => 'DESC : highest to lowest',	
		);
		$orderby_options = array (
			'title' => 'Title',
			'date' => 'Date',
			'rand' => 'Random'
		);
        ?>
        <h3 style="text-align: center;">Portfolio</h3>
		<div class="description">
	        <label for="<?php echo $this->get_field_id('title') ?>">
	        Title<br/><em style="font-size: 0.8em;">(Please enter title portfolio)</em><br/>
	        <?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
	        </label>
	    </div>
        <div class="description">
	        <label for="<?php echo $this->get_field_id('subtitle') ?>">
	        Subtitle<br/><em style="font-size: 0.8em;">(Please enter sub title portfolio)</em><br/>
	        <?php echo aq_field_textarea('subtitle', $block_id, $subtitle, $size = 'full') ?>
	        </label>
	    </div>
		<div class="cf"></div>
    	<div class="description third">
    		<label for="<?php echo $this->get_field_id('show') ?>">
    			Show portfolio<br/><em style="font-size: 0.8em;">(Chosen number portfolio. Ex: 6)</em><br/>
    			<?php echo aq_field_input('show', $block_id, $show, $size = 'full',$type = 'number') ?>
    		</label>
    	</div>
		<div class="description third">
    		<label for="<?php echo $this->get_field_id('orderpost') ?>">
    			Sort Order<br/><em style="font-size: 0.8em;">Sort from lowest to highest (Default)</em><br/>
    			<?php echo aq_field_select('orderpost', $block_id, $orderpost_options, $orderpost, $size = 'full') ?>
    		</label>
    	</div>
		<div class="description third last">
    		<label for="<?php echo $this->get_field_id('orderby') ?>">
    			Order by<br/><em style="font-size: 0.8em;">Title (Default)</em><br/>
    			<?php echo aq_field_select('orderby', $block_id, $orderby_options, $orderby, $size = 'full') ?>
    		</label>
    	</div>
		<div class="cf"></div>
		<div class="description">
	        <label for="<?php echo $this->get_field_id('description') ?>">
	        Description Portfolio <br/><em style="font-size: 0.8em;">(Please enter description portfolio)</em><br/>
	        <?php echo aq_field_textarea('description', $block_id, $description, $size = 'full') ?>
	        </label>
	    </div>
	<?php
	} 
   function block($instance){
    extract($instance);
    $title1 = (!empty($title) ? ' '.esc_attr($title) : '');  
    $subtitle1 = (!empty($subtitle) ? ' '.esc_attr($subtitle) : '');  
    $show1 = (!empty($show) ? ' '.esc_attr($show) : '');
    //global $format;
	?>
	
	<!-- PORTFOLIO -->

	<section id="g-portfolio">
		<div class="container">
			<h1 class="main-title"><?php echo htmlspecialchars_decode($title1);?></h1>
			<div class="main-title-description"><?php echo htmlspecialchars_decode($subtitle1);?></div>
			<ul class="portfolio">
			<?php 
				$args = array(   
                    'post_type' => 'portfolio',   
                    'posts_per_page' => $show1,
                    'order' => $orderpost,
                    'orderby' => $orderby, 
                );  
                $wp_query = new WP_Query($args);
                $i = 1;
                while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
                $cates = get_the_terms(get_the_ID(),'categories');
                $cate_name ='';
                $cate_slug = '';
                if($cates && !is_wp_error($cates)):
                    foreach((array)$cates as $cate){
						if(count($cates)>0){
							$cate_name .= $cate->name.' ' ;
							$cate_slug .= $cate->slug .' ';     
						} 
					}
                 endif; 
				?>	
				<li>
				<?php $caption_color=get_post_meta(get_the_ID(),"_cmb_caption_color",true);
					  if($caption_color!='black'){	
				?>
					<div class="portfolio-thumb-svg svg-animation">
				<?php }else{ ?>	
					<div class="portfolio-thumb-svg-invert svg-animation">
				<?php }?>	
						<div class="svg-hover" data-path-hover="M 0,140 220,140 250,70 220,0 0,0 z">
							<figure>
								<?php $params = array( 'width' => 350, 'height' => 140 );
								  $image = bfi_thumb( wp_get_attachment_url(get_post_thumbnail_id()), $params ); ?>
								<img alt="<?php the_title(); ?>" src="<?php echo $image; ?>" height="350" width="140"/>
								<svg viewBox="0 0 350 140" preserveAspectRatio="none"><path d="M 0 140 L 0 140 L 50 140 L 70 110 L 0 70 L 0 0 z "/></svg>
								<figcaption>
									<div class="portfolio-thumb-description"><?php 
                                    $content= get_the_content();
                                    echo goddess_do_shortcode($content);?></div>
									<?php if ( has_post_format( 'video' )) { ?>
									<?php $link_video=get_post_meta(get_the_ID(),"_cmb_link_video",true); ?>
									<a href="<?php echo $link_video; ?>" class="open-image fancybox-media" rel="group" title="<?php the_title(); ?>">
									<?php }else{ ?>	
									<a href="<?php echo wp_get_attachment_url( get_post_thumbnail_id());?>" class="open-image fancybox" rel="group" title="<?php the_title(); ?>">
									<?php }?>	
										<span class="fa-stack fa-lg">
											<i class="fa fa-circle fa-stack-2x"></i>
											<?php $icon_preview=get_post_meta(get_the_ID(),"_cmb_icon_preview",true); ?>
											<i class="fa <?php echo $icon_preview; ?> fa-stack-1x fa-inverse"></i>
										</span>
									</a>
								</figcaption>
							</figure>
						</div>
						<div class="portfolio-thumb-name">
							<h4 class="text-theme-color"><strong><?php the_title(); ?></strong></h4>
							<span><?php the_time('F , Y');?></span>
						</div>
					</div>
				</li>
				<?php $i++;
					endwhile;?>
			</ul>
			<div class="section-description-theme-separator">
				<?php echo wpautop(do_shortcode(htmlspecialchars_decode($description))); ?>
			</div>
		</div>
	</section>
<!-- PORTFOLIO -->
    <?
    }
    function update($new_instance, $old_instance) {
	    $new_instance = aq_recursive_sanitize($new_instance);
	    return $new_instance;
	}      
}
}