<?php
/* Post Block */
if(!class_exists('VT_Post_Block')) {
class VT_Post_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-th"></i> Show post',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('vt_post_block', $block_options);


}
   function form($instance){
        $defaults = array(
			'title' => '', 
			'subtitle' =>'', 
            'show' =>'3',
			'linkblog' => '',
			'textlink' => 'View All Posts',
			'orderby' => 'title',
			'orderpost' => 'ASC',
			'excerpt_lenght' => '25',
			'author' => 'Someone famous '
        );
        $instance = wp_parse_args($instance, $defaults);
        extract($instance); 
		
		$orderpost_options = array (
			'ASC' => 'ASC : lowest to highest',
			'DESC' => 'DESC : highest to lowest',	
		);
		
		$orderby_options = array (
			'title' => 'Title',
			'date' => 'Date',
			'rand' => 'Random'
		);
		?>
        
		<div class="description">
	        <label for="<?php echo $this->get_field_id('title') ?>">
		        Title
		        <?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
	        </label>
	    </div>
		<div class="description">
	        <label for="<?php echo $this->get_field_id('author') ?>">
		        Author
		        <?php echo aq_field_textarea('author', $block_id, $author, $size = 'full') ?>
	        </label>
	    </div>
		<div class="description">
	        <label for="<?php echo $this->get_field_id('subtitle') ?>">
		        Subtitle
		        <?php echo aq_field_textarea('subtitle', $block_id, $subtitle, $size = 'full') ?>
	        </label>
	    </div>
		<div class="cf"></div>		
    	<div class="description third">
		<label for="<?php echo $this->get_field_id('show') ?>">
			Show post<br/><em style="font-size: 0.8em;">(Number: 3)</em><br/>
			<?php echo aq_field_input('show', $block_id, $show, $size = 'full',$type = 'number') ?>
		</label>
    	</div>
		<div class="description third">
    		<label for="<?php echo $this->get_field_id('orderpost') ?>">
    			Sort Order<br/><em style="font-size: 0.8em;">Sort from lowest to highest (Default)</em><br/>
    			<?php echo aq_field_select('orderpost', $block_id, $orderpost_options, $orderpost, $size = 'full') ?>
    		</label>
    	</div>
		<div class="description third last">
    		<label for="<?php echo $this->get_field_id('orderby') ?>">
    			Order by<br/><em style="font-size: 0.8em;">Title (Default)</em><br/>
    			<?php echo aq_field_select('orderby', $block_id, $orderby_options, $orderby, $size = 'full') ?>
    		</label>
    	</div>
		<div class="cf"></div>
		<div class="description third">
    		<label for="<?php echo $this->get_field_id('linkblog') ?>">
    			Link to Blog page<br/>
    			<?php echo aq_field_input('linkblog', $block_id, $linkblog, $size = 'full') ?>
    		</label>
    	</div>
		<div class="description third">
    		<label for="<?php echo $this->get_field_id('textlink') ?>">
    			Text Button <em style="font-size: 0.8em;">View All Posts (Default)</em><br/>
    			<?php echo aq_field_input('textlink', $block_id, $textlink, $size = 'full') ?>
    		</label>
    	</div>
		<div class="description third last">
    		<label for="<?php echo $this->get_field_id('excerpt_lenght') ?>">
    			Excerpt Lenght Number <em style="font-size: 0.8em;">(Default : 25)</em><br/>
    			<?php echo aq_field_input('excerpt_lenght', $block_id, $excerpt_lenght, $size = 'full') ?>
    		</label>
    	</div>
  <?php
    }
    function block($instance){
    extract($instance);
	$linkblog = (!empty($linkblog) ? ' '.esc_attr($linkblog) : '');  
	$textlink = (!empty($textlink) ? ' '.esc_attr($textlink) : '');  
	$excerpt_lenght = (!empty($excerpt_lenght) ? ' '.esc_attr($excerpt_lenght) : '25');  
    $textdoimain = 'goddess';
    ?>
	
	<!-- BLOG -->

        <section id="g-blog">
			<div class="container">
				<h1 class="main-title"><?php echo htmlspecialchars_decode($title); ?></h1>
				<blockquote class="quote-full">
					<div class="quote-text">
						<?php echo htmlspecialchars_decode($subtitle); ?>
					</div>
					<span><?php echo htmlspecialchars_decode($author); ?></span>
				</blockquote>

				<div class="row">
					<ul class="blog-topics">
					<?php 
						$args=array(
							'post_type' => 'post',
							'posts_per_page'    => $show,
							'order' => $orderpost,
							'orderby' => $orderby, 
						);
						$wp_query=new WP_Query($args);
						while ($wp_query->have_posts()): $wp_query->the_post(); ?>  
						<li class="col-lg-6 col-md-6 col-md-offset-0 col-sm-10 col-sm-offset-1 col-xs-10 col-xs-offset-1">
							<?php $caption_color=get_post_meta(get_the_ID(),"_cmb_caption_color",true);
								  if($caption_color!='black'){	
							?>
							<div class="blog-topic-svg svg-animation">
							<?php }else{ ?>	
							<div class="blog-topic-svg-invert svg-animation">
							<?php }?>	
								<div class="svg-hover" data-path-hover="M 0,250 370,250 430,100 370,0 0,0 z">
									<figure>
										<?php $params = array( 'width' => 650, 'height' => 301 );
										  $image = bfi_thumb( wp_get_attachment_url(get_post_thumbnail_id()), $params ); ?>
										<img alt="<?php the_title(); ?>" src="<?php echo $image; ?>" height="301" width="650"/>
										<svg viewBox="0 0 540 250" preserveAspectRatio="none"><path d="M 0 250 L 0 250 L 0 125 L 0 0 L 0 0 L 0 0 z "/></svg>
										<figcaption>
											<div class="topic-name"><?php the_title();?></div>
											<div class="topic-date"><?php the_time('F jS, Y');?></div>
											<div class="topic-content">
												<h1><a class="title" href="<?php the_permalink(); ?>"></a></h1>
												<p><?php echo goddess_excerpt($excerpt_lenght); ?></p>
											</div>
											<a href="<?php the_permalink(); ?>" target="_blank"><div class="btn btn-default pull-left">Read more</div></a>
										</figcaption>
									</figure>
								</div>
							</div>
						</li>
						<?php endwhile;?>
					</ul>
				</div>
				<div class="text-center">
					<p><br><a href="<?php echo $linkblog; ?>" class="btn btn-primary"><?php echo $textlink; ?></a></p>
				</div>
			</div>
        </section>

    <?php
    }
    function update($new_instance, $old_instance) {
	    $new_instance = aq_recursive_sanitize($new_instance);
	    return $new_instance;
	}
}
}
 ?>