<?php
/* List Block */
if(!class_exists('ST_Pricing_Block')) {
class ST_Pricing_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-users"></i> Pricing',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_pricing_block', $block_options);
	
	//add ajax functions
	add_action('wp_ajax_aq_block_checkbtn6_add_new', array($this, 'add_checkbtn_btn'));
	}
	
	function form($instance) {
	
		$defaults = array(
			'title' => 'Title',
            'desc'  => '',
            'column' => '4',
            'note' => '',
			'number_row' => '4',
            'shortbtns' => array(
	            1 => array(
		            'title' => 'New Pricing',
                    'description' => '',
		            'button' => 'Select',	
                    'price' => '',
                    'stuff1'=> '',
                    'stuff2'=> '',
                    'stuff3'=> '',
                    'stuff4'=> '',
                    'stuff5'=> '',
                    'stuff6'=> '',
                    'stuff7'=> '',
                    'stuff8'=> '',	  		
	            )
            ),
            
		);      
        $column_options = array (
            '3' => 'Three',
            '4' => 'Four',
            '6' => 'Six',
		); 
	$instance = wp_parse_args($instance, $defaults);
	extract($instance);
	
	?>
	
	<div class="description">
		<label for="<?php echo $this->get_field_id('title') ?>">
			Title
			<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		</label>
	</div>
	<div class="description">
		<label for="<?php echo $this->get_field_id('desc') ?>">
			Description:
			<?php echo aq_field_textarea('desc', $block_id, $desc, $size = 'full') ?>
		</label>
	</div>
    <div class="description">
		<label for="<?php echo $this->get_field_id('note') ?>">
			Note:
			<?php echo aq_field_textarea('note', $block_id, $note, $size = 'full') ?>
		</label>
	</div>
	<div class="cf"></div>
    <div class="description half">
		<label for="<?php echo $this->get_field_id('column') ?>">
			Column<br/><em style="font-size: 0.8em;">Chosen column(3,4,6)</em><br/>
			<?php echo aq_field_select('column', $block_id, $column_options, $column, $size = 'full') ?>
		</label>
   	</div>
	<div class="description half last">
		<label for="<?php echo $this->get_field_id('number_row') ?>">
			Number row in Pricing Table <br/><em style="font-size: 0.8em;">Please enter lines at most of one pricing table</em><br/>
			<?php echo aq_field_input('number_row', $block_id, $number_row, $size = 'full', $type= 'number') ?>
		</label>
	</div>
	<div class="cf"></div>
	<h3 style="text-align: center;">Add Your Pricing</h3>
	<div class="description cf">
	    <ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
		    <?php
			    $shortbtns = is_array($shortbtns) ? $shortbtns : $defaults['shortbtns'];
			    $count = 1;
			    foreach($shortbtns as $shortbtn) {	
				    $this->shortbtn($shortbtn, $count);
				    $count++;
			    }
		    ?>
	    </ul>
	    <p></p>
	    	<a href="#" rel="checkbtn6" class="aq-sortable-add-new button">Add New Btn</a>
	    <p></p>
    </div>
    
	<?php
	}
	function shortbtn($shortbtn = array(), $count = 0) {

?>
	<li id="sortable-shortbtn-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
		<div class="sortable-head cf">
			<div class="sortable-title">
				<strong><?php echo $shortbtn['title'] ?></strong>
			</div>
			<div class="sortable-handle">
				<a href="#">Open / Close</a>
			</div>
		</div>
	<div class="sortable-body">
	<div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title">
			Title<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][title]" value="<?php echo $shortbtn['title'] ?>" />
		</label>
	</div>
        
    <div class="tab-desc description fourth">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff1">
			Stuff 1:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff1" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff1]" value="<?php echo $shortbtn['stuff1'] ?>" />
		</label>
	</div>
    <div class="tab-desc description fourth">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff2">
			Stuff 2:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff2" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff2]" value="<?php echo $shortbtn['stuff2'] ?>" />
		</label>
	</div>
    <div class="tab-desc description fourth">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff3">
			Stuff 3:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff3" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff3]" value="<?php echo $shortbtn['stuff3'] ?>" />
		</label>
	</div>
    <div class="tab-desc description fourth last">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff4">
			Stuff 4:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff4" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff4]" value="<?php echo $shortbtn['stuff4'] ?>" />
		</label>
	</div>
    <div class="tab-desc description fourth">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff5">
			Stuff 5:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff5" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff5]" value="<?php echo $shortbtn['stuff5'] ?>" />
		</label>
	</div>
    <div class="tab-desc description fourth">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff6">
			Stuff 6:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff6" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff6]" value="<?php echo $shortbtn['stuff6'] ?>" />
		</label>
	</div>
    <div class="tab-desc description fourth">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff7">
			Stuff 7:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff7" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff7]" value="<?php echo $shortbtn['stuff7'] ?>" />
		</label>
	</div>
    <div class="tab-desc description fourth last">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff8">
			Stuff 8:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-stuff8" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][stuff8]" value="<?php echo $shortbtn['stuff8'] ?>" />
		</label>
	</div>
    
    <div class="tab-desc description half">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-button">
			Text button:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-button" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][button]" value="<?php echo $shortbtn['button'] ?>" />
		</label>
	</div>
    <div class="tab-desc description half last">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-price">
			Price:<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-price" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][price]" value="<?php echo $shortbtn['price'] ?>" />
		</label>
	</div>
    <div class="cf"></div>
    <p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
	</div>
	</li>

  <?php  
    }
		
    function add_checkbtn_btn() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$shortbtn = array(
			'title' => 'New Pricing',
            'button' => 'Select',
            'price' => '',
            'stuff1'=> '',
            'stuff2'=> '',
            'stuff3'=> '',
            'stuff4'=> '',
            'stuff5'=> '',
            'stuff6'=> '',
            'stuff7'=> '',
            'stuff8'=> '',            
		);
		
		if($count) {
			$this->shortbtn($shortbtn, $count);
		} else {
			die(-1);
		}
		
		die();
		}
	function block($instance) {
	extract($instance);
    ?>
	   <!-- PRICING TABLES -->

    <section id="g-pricing">
        <div class="container">
            <h1 class="main-title"><span><?php echo $title; ?></span></h1>
            <p class="main-title-description"><?php echo $desc; ?></p>
            <div class="row text-center pricing-tables pricing-<?php echo $number_row; ?>">
            <?php if(!empty($shortbtns)){
                    foreach($shortbtns as $shortbtn){
                        if($shortbtn['price'] != ''){
                ?>
                <div class="col-lg-3 col-sm-6 col-sm-offset-0 col-xs-10 col-xs-offset-1 pricing-table">
                    <div class="pricing-title"><?php echo $shortbtn['title']; ?></div>
                    <div class="price-wrapper">
                        <svg viewBox="0 0 256 20" preserveAspectRatio="none"><path d="M 0 0 L 0 5 L 128 20 L 256 5 L 256 0 z "/></svg>
                        <div class="price"><?php echo htmlspecialchars_decode($shortbtn['price']); ?></div>
                    </div>
                    <ul class="pricing-stuff">
                    <?php if($shortbtn['stuff1'] !=''){ ?>
                        <li class="stuff-01"><?php echo $shortbtn['stuff1']; ?></li>
                    <?php }else{} ?>
                    <?php if($shortbtn['stuff2'] !=''){ ?>
                        <li class="stuff-02"><?php echo $shortbtn['stuff2']; ?></li>
                    <?php }else{} ?>
                    <?php if($shortbtn['stuff3'] !=''){ ?>
                        <li class="stuff-03"><?php echo $shortbtn['stuff3']; ?></li>
                    <?php }else{} ?>
                    <?php if($shortbtn['stuff4'] !=''){ ?>
                        <li class="stuff-04"><?php echo $shortbtn['stuff4']; ?></li>
                    <?php }else{} ?>
                    <?php if($shortbtn['stuff5'] !=''){ ?>
                        <li class="stuff-05"><?php echo $shortbtn['stuff5']; ?></li>
                    <?php }else{} ?>
                    <?php if($shortbtn['stuff6'] !=''){ ?>
                        <li class="stuff-06"><?php echo $shortbtn['stuff6']; ?></li>
                    <?php }else{} ?>
                    <?php if($shortbtn['stuff7'] !=''){ ?>
                        <li class="stuff-07"><?php echo $shortbtn['stuff7']; ?></li>
                    <?php }else{} ?>
                    <?php if($shortbtn['stuff8'] !=''){ ?>
                        <li class="stuff-08"><?php echo $shortbtn['stuff8']; ?></li>
                    <?php }else{} ?>
                    </ul>
                    <div class="pricing-button-wrapper">
                        <div class="pricing-button">
                            <div class="btn btn-primary btn-lg"><?php echo $shortbtn['button']; ?></div>
                        </div>
                    </div>
                </div>
                <?php        }
                     }
                }
            ?>  
            </div>
            <div class="section-description">
                <p><?php echo $note; ?></p>
            </div>
        </div>
    </section>

<!-- PRICING TABLES -->
    <?php 
    }
	
	/* AJAX add testimonial */
	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}
}