<?php
/* List Block */
if(!class_exists('ST_Slider_Block')) {
class ST_Slider_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
		'name' => '<i class="fa fa-thumbs-o-up"></i> Slider and Video',
		'size' => 'col-md-12',
	);
	
	//create the widget
	parent::__construct('st_slider_block', $block_options);
	
	//add ajax functions
	add_action('wp_ajax_aq_block_checkbtn1_add_new', array($this, 'add_checkbtn_btn'));
	}
	
	function form($instance) {
	
		$defaults = array(
			'title' => 'WELCOME',
            'desc'  => '',
            'rainy' => '',
            'style' => '',
            'video' => '',
            'shortbtns' => array(
	            1 => array(
		            'title' => 'New Images',
                    'description' => '',
		            'photo' => '',		
                    'titlelink' => '',
                    'descriptionlink' => '',   		
	            )
            ),
            
		);
        $style_slider= array (
			'style1' => 'Style Slider Simple',
            'style3' => 'Style Rainy',
            'style4' => 'Style Video on Vimeo',
            'style5' => 'Style Video on Youtube',
		);
	
	$instance = wp_parse_args($instance, $defaults);
	extract($instance);
	
	?>
	
	<div class="description">
		<label for="<?php echo $this->get_field_id('title') ?>">
			Title
			<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		</label>
	</div>
	<div class="description">
		<label for="<?php echo $this->get_field_id('desc') ?>">
			Description:
			<?php echo aq_field_textarea('desc', $block_id, $desc, $size = 'full') ?>
		</label>
	</div>
    <div class="description half">
		<label for="<?php echo $this->get_field_id('style') ?>">
			Select Style Slider Do You want !!<br/>
			<?php echo aq_field_select('style', $block_id, $style_slider, $style, $size = 'full') ?>
		</label>
	</div>

	<div class="cf"></div>
	<h3 style="text-align: center;">Add Your Images in slider</h3>
	<div class="description cf">
	    <ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
		    <?php
			    $shortbtns = is_array($shortbtns) ? $shortbtns : $defaults['shortbtns'];
			    $count = 1;
			    foreach($shortbtns as $shortbtn) {	
				    $this->shortbtn($shortbtn, $count);
				    $count++;
			    }
		    ?>
	    </ul>
	    <p></p>
	    	<a href="#" rel="checkbtn1" class="aq-sortable-add-new button">Add New Btn</a>
	    <p></p>
    </div>
    
    <div class="cf"></div>
	<h3 style="text-align: center;">Add Your Images in Rainy</h3>
    <div class="description">
		<label for="<?php echo $this->get_field_id('rainy') ?>">
			Choose your images in Rainy<br/>
			<?php echo aq_field_upload('rainy', $block_id, $rainy, $media_type = 'image') ?>
		</label>
	</div>
    
    <h3 style="text-align: center;">Add Your Link ( Youtube or Vimeo)</h3>
    <div class="description">
		<label for="<?php echo $this->get_field_id('video') ?>">
			Add Link In Youtube or Vimeo:<br/>
            <em style="font-size: 0.8em;">(Ex: http://www.youtube.com/embed/<code>eP2VWNtU5rw</code>) only input id video: <code>eP2VWNtU5rw</code></em> 
            <em style="font-size: 0.8em;">(Ex: http://player.vimeo.com/video/<code>20249835</code>)only input id video: <code>20249835</code></em><br/> 
			<?php echo aq_field_input('video', $block_id, $video, $size = 'full') ?>
		</label>
	</div>
        
	<?php
	}
	function shortbtn($shortbtn = array(), $count = 0) {

?>
	<li id="sortable-shortbtn-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
		<div class="sortable-head cf">
			<div class="sortable-title">
				<strong><?php echo $shortbtn['title'] ?></strong>
			</div>
			<div class="sortable-handle">
				<a href="#">Open / Close</a>
			</div>
		</div>
	<div class="sortable-body">
	<div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title">
			Title<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-title" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][title]" value="<?php echo $shortbtn['title'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-titlelink">
			Title Link<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-titlelink" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][titlelink]" value="<?php echo $shortbtn['titlelink'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-description">
			Description<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-description" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][description]" value="<?php echo $shortbtn['description'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-descriptionlink">
			Description Link<br/>
	<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-descriptionlink" class="input-full" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][descriptionlink]" value="<?php echo $shortbtn['descriptionlink'] ?>" />
		</label>
	</div>
    <div class="tab-desc description">
		<label for="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-photo">
			Photo <em style="font-size: 0.8em;">(Recommended size: 286 x 286 pixel)</em><br/>
			<input type="text" id="<?php echo $this->get_field_id('shortbtns') ?>-<?php echo $count ?>-photo" class="input-full input-upload" value="<?php echo $shortbtn['photo'] ?>" name="<?php echo $this->get_field_name('shortbtns') ?>[<?php echo $count ?>][photo]">
			<a href="#" class="aq_upload_button button" rel="image">Upload</a><p></p>
		</label>
	</div>
	<p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
	</div>
	</li>

  <?php  
    }
		
    function add_checkbtn_btn() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$shortbtn = array(
			'title' => 'New Images',
            'description' => '',
            'photo' => '',
            'titlelink' => '',
            'descriptionlink' => '',            
		);
		
		if($count) {
			$this->shortbtn($shortbtn, $count);
		} else {
			die(-1);
		}
		
		die();
		}
	function block($instance) {
	extract($instance);
	   if($style=='style1'){
    ?>
	   <!-- CAROUSEL LANDING -->

    <div id="carousel-01-landing" class="carousel slide carousel-01-landing" data-ride="carousel">

        <!-- Indicators -->
        <ol class="carousel-indicators">
        <?php if(!empty($shortbtns)){
            $i=0;
                foreach($shortbtns as $shortbtn){
                    if($shortbtn['photo'] != ''){
            ?>
            <li data-target="#carousel-01-landing" data-slide-to="<?php echo $i; ?>" <?php if($i==0){echo 'class="active"';} ?>></li>
             <?php 
                    }$i++;
                }
            }
         ?>   
        </ol>

        <!-- Wrapper for slides -->
        <div class="carousel-inner">
        <?php if(!empty($shortbtns)){
            $i=1;
                foreach($shortbtns as $shortbtn){
                    if($shortbtn['photo'] != ''){
                        $params = array( 'width' => 1349, 'height' => 759 );
						$image = bfi_thumb( esc_attr($shortbtn['photo']), $params );
            ?>
            <div class="item <?php if($i==1){echo 'active';}else{} ?>">
                <img src="<?php echo $image; ?>" alt="<?php echo esc_attr($shortbtn['title']); ?>" style="width: 1349px; height: 759px;">
                <div class="carousel-caption">
                    <a href="<?php echo esc_attr($shortbtn['titlelink']); ?>" target="_blank"><?php echo esc_attr($shortbtn['title']); ?> </a><?php if($shortbtn['description'] != ''){ ?>
                    by <a href="<?php echo esc_attr($shortbtn['descriptionlink']); ?>" target="_blank"><?php echo esc_attr($shortbtn['description']); ?></a>
                <?php }else{} ?>
                </div>
            </div>
        <?php 
                    }$i++;
                }
            }
         ?>    
        </div>

        <!-- Controls -->
        <a class="slider-landing-left-wrapper" href="#carousel-01-landing" data-slide="prev">
            <div class="slider-landing-left"><i class="fa fa-angle-left fa-2x"></i></div>
        </a>
        <a class="slider-landing-right-wrapper" href="#carousel-01-landing" data-slide="next">
            <div class="slider-landing-right"><i class="fa fa-angle-right fa-2x"></i></div>
        </a>

        <!-- Chevron for slider -->
        <div class="chevron-slider-wrapper">
            <div class="chevron-slider-landing"></div>
            <div class="chevron-slider-content text-center">
                <h1><?php echo $title; ?></h1><!-- Individual style -->
                <div class="chevron-slider-separator"></div>
                <p><?php echo $desc; ?></p>
                <a href="#g-welcome" class="scroll">
                    <div class="btn-welcome"><span><i class="fa fa-angle-double-down fa-2x"></i></span></div>
                </a>
            </div>
        </div>

    </div>

<!-- CAROUSEL LANDING -->
<div class="chevron-top pointers-none"></div>
    <?php }
    elseif($style=='style3'){
    ?>    
    <!-- Video landing -->
    <div class="rainy-landing" id="carousel-01-landing">

        <!-- Wrapper for video -->
        <div id="cholder" class="qwer"></div>
        <img id="rainy-image" class="img-responsive rainy-image" src="" alt="..." />


        <!-- Additional elements -->
        <div class="element-landing-left-wrapper">
            <div class="element-landing-left"></div>
        </div>
        <div class="element-landing-right-wrapper">
            <div class="element-landing-right"></div>
        </div>

        <div class="chevron-slider-wrapper">
            <div class="chevron-slider-landing"></div>
            <div class="chevron-slider-content text-center">
                <h1><?php echo $title; ?></h1><!-- Individual style -->
                <div class="chevron-slider-separator"></div>
                <p><?php echo $desc; ?></p>
                <a href="#g-welcome" class="scroll">
                    <div class="btn-welcome"><span><i class="fa fa-angle-double-down fa-2x"></i></span></div>
                </a>
            </div>
        </div>

    </div>
    <div class="chevron-top chevron-video"></div>
    <script type="text/javascript">
    jQuery(document).ready(function($){
            var image = document.getElementById('rainy-image'),
                parentElement = document.getElementById('cholder');

            image.onload = function(){
                var engine =  new RainyDay({
                    'image': this,
                    'parentElement': parentElement,
                    'enableSizeChange': true
                });
                engine.trail = engine.TRAIL_DROPS;
                engine.gravity = engine.GRAVITY_NON_LINEAR;
                engine.rain([
                    [1, 0, 20],
                    [3, 3, 1]
                ], 100);
            };
            image.crossOrigin = 'anonymous';
            image.src = '<?php echo $rainy; ?>';
        });
    </script>
        <?php }
    elseif($style=='style4' || $style=='style5'){
    ?>    
        <div class="video-landing">

        <!-- Wrapper for video -->
        <div class="video-wrapper">
        <?php if($style=='style5'){ ?>
            <iframe id="yt-player" width="16" height="9" frameborder="0" type="text/html" src="http://www.youtube.com/embed/<?php echo $video; ?>?enablejsapi=1&amp;wmode=opaque&amp;controls=0&amp;html5=1&amp;autoplay=1&amp;loop=1&amp;playlist=<?php echo $video; ?>"></iframe>
           
            <script type="text/javascript">
            (function ($) {
                jQuery('document').ready(function(){
                    
                    $('.video-wrapper').fitVids();
                });
                })(jQuery);
            </script><!-- initialize fitVids for responsive video -->
        <?php }elseif($style=='style4'){ ?>
            <iframe id="player" src="http://player.vimeo.com/video/<?php echo $video; ?>?color=ff9933&amp;portrait=0&amp;autoplay=0&amp;loop=1" width="500" height="281" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
            <script type="text/javascript">
            (function ($) {
                jQuery('document').ready(function(){
                $('.video-wrapper').fitVids();
        
                (function(window) {
                    window.vimeo_player_loaded = function (player){
                        player.api('setVolume', 0.5);
                        player.api('play');
                    }
                })(window);
                });
                })(jQuery);
            </script><!-- initialize fitVids for responsive video -->
        <?php } ?>
            <div class="iframe-block visible-lg"></div>
        </div>

        <!-- Additional elements -->
        <div class="element-landing-left-wrapper">
            <div class="element-landing-left"></div>
        </div>
        <div class="element-landing-right-wrapper">
            <div class="element-landing-right"></div>
        </div>


        <div class="chevron-slider-wrapper">
            <div class="chevron-slider-landing"></div>
            <div class="chevron-slider-content text-center">
                <h1><?php echo $title; ?></h1><!-- Individual style -->
                <div class="chevron-slider-separator"></div>
                <p><?php echo $desc; ?></p>
                <a href="#g-welcome" class="scroll">
                    <div class="btn-welcome"><span><i class="fa fa-angle-double-down fa-2x"></i></span></div>
                </a>
            </div>
        </div>

    </div>
    <div class="chevron-top chevron-video"></div>
    <?php }
    }
	
	/* AJAX add testimonial */
	
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}
}