<?php
/** Welcome block **/
if(!class_exists('VT_Slider_Carousel_Block')) {
class VT_Slider_Carousel_Block extends AQ_Block {

	//set and create block
	function __construct() {
		$block_options = array(
			'name' => '<i class="fa fa-pagelines"></i> Slider Carousel',
			'size' => 'col-md-12',
		);

		//create the block
		parent::__construct('VT_slider_carousel_Block', $block_options);
		
		//add ajax functions
		add_action('wp_ajax_aq_block_carousel_add_new', array($this, 'add_carousel_item'));
		
	}

	function form($instance) {
	
		$defaults = array(
			'title' => 'Slider Carousel',
			'items' => array(
				1 => array(
					'title' => 'Title here',
					'photo' => ''
				)
			),	
		);
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		<div class="description">
			<label for="<?php echo $this->get_field_id('title') ?>">
				Title (optional)
				<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
			</label>
		</div>		
		<div class="cf"></div>
	   <div class="description cf">
			<ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
				<?php
					$items = is_array($items) ? $items : $defaults['items'];
					$count = 1;
					foreach($items as $item) {	
						$this->item($item, $count);
						$count++;
					}
				?>
			</ul>
			<p></p>
				<a href="#" rel="carousel" class="aq-sortable-add-new button">Add New Button</a>
			<p></p>
		</div>  
	<?php        }
    
    function item($item = array(), $count = 0) {
        ?>
		<li id="sortable-item-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
			<div class="sortable-head cf">
				<div class="sortable-title">
					<strong><?php echo $item['title'] ?></strong>
				</div>
				<div class="sortable-handle">
					<a href="#">Open / Close</a>
				</div>
			</div>
			<div class="sortable-body">
				<div class="tab-desc description">
					<label for="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-title">
					Title <br/><em style="font-size: 0.8em;">(Please enter Title)</em><br/>
					<input type="text" id="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-title" class="input-full" name="<?php echo $this->get_field_name('items') ?>[<?php echo $count ?>][title]" value="<?php echo $item['title'] ?>" />
					</label>
				</div>
				<div class="tab-desc description">
					<label for="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-photo">
						Photo <em style="font-size: 0.8em;">(Recommended size: 950 x 500 pixel)</em><br/>
						<input type="text" id="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-photo" class="input-full input-upload" value="<?php echo $item['photo'] ?>" name="<?php echo $this->get_field_name('items') ?>[<?php echo $count ?>][photo]">
						<a href="#" class="aq_upload_button button" rel="image">Upload</a><p></p>
					</label>
				</div>        
				<p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
				<div class="cf"></div> 
			</div>
		</li>   
        <?php
        }  
	
	function block($instance) {
	extract($instance);
		?>
		<!-- CAROUSEL 2 -->

    <div class="chevron-slider-core">
        <div class="chevron-slider-top"></div>
        <div class="chevron-slider-bottom"></div>
        <div id="carousel-02" class="carousel slide carousel-fade carousel-02" data-ride="carousel">

            <!-- Indicators -->
            <ol class="carousel-indicators">
                <li data-target="#carousel-02" data-slide-to="0" class="active"></li>
                <li data-target="#carousel-02" data-slide-to="1"></li>
                <li data-target="#carousel-02" data-slide-to="2"></li>
            </ol>

            <!-- Wrapper for slides -->
            <div class="carousel-inner text-center">
				<?php if(!empty($items)){
					$i=0;
					foreach($items as $item){ $i++;?>
						<div class="item <?php if($i==1){echo 'active';} ?>">
							<img width="950" height="500" src="<?php echo esc_url($item['photo']); ?>" alt="<?php echo esc_attr($item['title']); ?>"/>
							<div class="carousel-caption">
								<?php echo esc_attr($item['title']); ?>
							</div>
						</div>
				<?php }
					}	?>
            </div>

            <a class="left carousel-control" href="#carousel-02" data-slide="prev">
                <span class="icon-prev"></span>
            </a>
            <a class="right carousel-control" href="#carousel-02" data-slide="next">
                <span class="icon-next"></span>
            </a>

        </div>
    </div>
<!-- CAROUSEL 2 -->
	<?php	
	}
	function add_carousel_item() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$item = array(
			'title' => 'Title here',
			'photo' => ''			            				
		);
		
		if($count) {
		$this->item($item, $count);
		} else {
		die(-1);
		}
		die();
	}
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}
}