<?php
/** Welcome block **/
if(!class_exists('VT_Welcome_Block')) {
class VT_Welcome_Block extends AQ_Block {

	//set and create block
	function __construct() {
		$block_options = array(
			'name' => '<i class="fa fa-pagelines"></i> Welcome To Us',
			'size' => 'col-md-12',
		);

		//create the block
		parent::__construct('vt_welcome_block', $block_options);
		
		//add ajax functions
		add_action('wp_ajax_aq_block_welcome_add_new', array($this, 'add_welcome_item'));
		
	}

	function form($instance) {
	
		$defaults = array(
			'title' => 'Welcome to us',
			'description' => '',
			'text_muted' => 'See also video versions of template',
			'items' => array(
				1 => array(
					'textbtn' => 'text link',
					'linkbtn' => '#'
				)
			),	
		);
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		<div class="description">
			<label for="<?php echo $this->get_field_id('title') ?>">
				Title (optional)
				<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
			</label>
		</div>
		<div class="description">
			<label for="<?php echo $this->get_field_id('description') ?>">
				Content (optional)
				<?php echo aq_field_textarea('description', $block_id, $description, $size = 'full') ?>
			</label>
		</div>
		<div class="description">
			<label for="<?php echo $this->get_field_id('text_muted') ?>">
				Text Muted(optional)
				<?php echo aq_field_textarea('text_muted', $block_id, $text_muted, $size = 'full') ?>
			</label>
		</div>
		<div class="cf"></div>
	   <div class="description cf">
			<ul id="aq-sortable-list-<?php echo $block_id ?>" class="aq-sortable-list" rel="<?php echo $block_id ?>">
				<?php
					$items = is_array($items) ? $items : $defaults['items'];
					$count = 1;
					foreach($items as $item) {	
						$this->item($item, $count);
						$count++;
					}
				?>
			</ul>
			<p></p>
				<a href="#" rel="welcome" class="aq-sortable-add-new button">Add New Button</a>
			<p></p>
		</div>  
	<?php        }
    
    function item($item = array(), $count = 0) {
        ?>
		<li id="sortable-item-<?php echo $count ?>" class="sortable-item" rel="<?php echo $count ?>">
			<div class="sortable-head cf">
				<div class="sortable-title">
					<strong><?php echo $item['textbtn'] ?></strong>
				</div>
				<div class="sortable-handle">
					<a href="#">Open / Close</a>
				</div>
			</div>
			<div class="sortable-body">
				<div class="tab-desc description half">
					<label for="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-textbtn">
					Text Button <br/><em style="font-size: 0.8em;">(Please enter Text Button)</em><br/>
					<input type="text" id="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-textbtn" class="input-full" name="<?php echo $this->get_field_name('items') ?>[<?php echo $count ?>][textbtn]" value="<?php echo $item['textbtn'] ?>" />
					</label>
				</div>
				<div class="tab-desc description half last">
					<label for="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-linkbtn">
					Link Button <br/><em style="font-size: 0.8em;">(Please enter Link Button)</em><br/>
					<input type="text" id="<?php echo $this->get_field_id('items') ?>-<?php echo $count ?>-linkbtn" class="input-full" name="<?php echo $this->get_field_name('items') ?>[<?php echo $count ?>][linkbtn]" value="<?php echo $item['linkbtn'] ?>" />
					</label>
				</div>         
				<p class="tab-desc description"><a href="#" class="sortable-delete">Delete</a></p>
				<div class="cf"></div> 
			</div>
		</li>   
        <?php
        }  
	
	function block($instance) {
	extract($instance);
		?>
		<!-- WELCOME -->
		<section id="g-welcome">
			<div class="container">
				<h1 class="main-title"><?php echo htmlspecialchars_decode($title); ?></h1>
				<div class="main-title-description"><?php echo htmlspecialchars_decode($description); ?></div>
				<div class="text-center btn-inline">
					<p class="text-muted"><?php echo htmlspecialchars_decode($text_muted); ?></p>						
					<?php if(!empty($items)){
						foreach($items as $item){ ?>
							<a href="<?php echo esc_url($item['linkbtn']); ?>" class="btn btn-primary"><?php echo esc_attr($item['textbtn']); ?></a>	
					<?php }
						}	?>
				</div>
			</div>	
		</section>
		<!-- WELCOME -->
	<?php	
	}
	function add_welcome_item() {
		$nonce = $_POST['security'];	
		if (! wp_verify_nonce($nonce, 'aqpb-settings-page-nonce') ) die('-1');
		
		$count = isset($_POST['count']) ? absint($_POST['count']) : false;
		$this->block_id = isset($_POST['block_id']) ? $_POST['block_id'] : 'aq-block-9999';
		
		//default key/value for the testimonial
		$item = array(
			'textbtn' => 'text link',
			'linkbtn' => '#'			            				
		);
		
		if($count) {
		$this->item($item, $count);
		} else {
		die(-1);
		}
		die();
	}
	function update($new_instance, $old_instance) {
		$new_instance = aq_recursive_sanitize($new_instance);
		return $new_instance;
	}
}
}