<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<?php 
global $theme_option; 
global $wp_query;
    $seo_title = get_post_meta($wp_query->get_queried_object_id(), "_cmb_seo_title", true);
    $seo_description = get_post_meta($wp_query->get_queried_object_id(), "_cmb_seo_description", true);
    $seo_keywords = get_post_meta($wp_query->get_queried_object_id(), "_cmb_seo_keywords", true);
?>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<!-- Page Title 
	================================================== -->
	<title><?php bloginfo('name'); ?>  <?php is_front_page() ? bloginfo('description') : wp_title(''); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	
	<!-- For SEO -->
	<?php if($seo_description!="") { ?>
	<meta name="description" content="<?php echo $seo_description; ?>">
	<?php }elseif($theme_option['seo_des']){ ?>
	<meta name="description" content="<?php echo $theme_option['seo_des']; ?>">
	<?php } ?>
	<?php if($seo_keywords!="") { ?>
	<meta name="keywords" content="<?php echo $seo_keywords; ?>">
	<?php }elseif($theme_option['seo_key']){ ?>
	<meta name="keywords" content="<?php echo $theme_option['seo_key']; ?>">
	<?php } ?>
	<!-- End SEO-->
	
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	
	<!-- Favicons -->
	<link rel="shortcut icon" href="<?php echo $theme_option['favicon']['url']; ?>" type="image/png">
	
<?php wp_head(); ?>
</head>

<body data-spy="scroll" data-target="#gn-menu" <?php body_class('not-global-detect'); ?>>
 <!-- Detect mobile button -->
    <div id="detect-mobile" class="detect-mobile" data-toggle="tooltip" data-placement="left" title="If you are using a mobile device - press this button to activate all hover effects" rel="tooltip">
        <i class="fa fa-tablet"></i>
    </div>
	
	<?php if(is_page_template('page-templates/template-vimeo.php')){ ?>
	<!-- VIDEO CONTROLS  Vimeo -->
    <div class="video-controls">
        <a id="playButton" class="btn btn-default btn-sm">Play</a>
        <a id="pauseButton" class="btn btn-default btn-sm">Pause</a>
        <a id="unloadButton" class="btn btn-default btn-sm">Stop</a>
        <a id="muteButton" class="btn btn-default btn-sm">Mute</a>
        <a id="soundButton" class="btn btn-default btn-sm">Sound</a>
    </div>
	<!-- VIDEO CONTROLS  -->
	<?php } ?>
	
	<?php if(is_page_template('page-templates/template-youtube.php')){ ?>
	<!-- VIDEO CONTROLS  Youtube -->
    <div class="video-controls">
        <a class="btn btn-default btn-sm" href="javascript:callPlayer('yt-player', 'playVideo');">Play</a>
        <a class="btn btn-default btn-sm" href="javascript:callPlayer('yt-player','pauseVideo');">Pause</a>
        <a class="btn btn-default btn-sm" href="javascript:callPlayer('yt-player','stopVideo');">Stop</a>
        <a class="btn btn-default btn-sm" href="javascript:callPlayer('yt-player','mute');">Mute</a>
        <a class="btn btn-default btn-sm" href="javascript:callPlayer('yt-player','unMute');">Sound</a>
    </div>
	<!-- VIDEO CONTROLS  -->
	<?php } ?>
	
	<!-- NAVIGATION -->
    <!-- Main navigation -->
    <ul id="gn-menu" class="gn-menu-main">
        <li class="gn-trigger">
            <a class="gn-icon gn-icon-menu"><i class="fa fa-bars fa-2x"></i><span>Menu</span></a>
            <!-- Main menu -->
            <nav class="gn-menu-wrapper">
                <?php 
				  wp_nav_menu( 
				  $primary = array( 
						'theme_location' => 'primary',
						'container' => 'div',
						'menu_class' => 'nav gn-menu', 
						'menu_id' => '',
						'menu'            => '',
						'container_class' => 'gn-scroller',
						'container_id'    => '',
						'echo'            => true,
						 'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
						 'walker'            => new wp_bootstrap_navwalker(),
						'before'          => '<div class="gn-selector"></div>',
						'after'           => '',
						'link_before'     => '',
						'link_after'      => '',
						'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
						'depth'           => 0,        
						  )
				 ); 
				 if ( has_nav_menu( 'primary' ) ) {
					wp_nav_menu( $primary );
				} ?> 
            </nav>
        </li>
        <li>
			<a href="#carousel-01-landing" class="logo scroll" title="<?php bloginfo('name'); ?>">
				<?php if($theme_option['select_logo']!=0){ ?>
				<?php if($theme_option['logo']!=''){ ?>
					<img src="<?php echo $theme_option['logo']['url']; ?>" alt="<?php bloginfo('name'); ?>">
				<?php } ?>
				<?php }else{ ?>
				<?php if($theme_option['logo_text']!=''){ echo $theme_option['logo_text']; } ?>	
				<?php } ?>
			</a>
		</li>
    </ul>
<!-- NAVIGATION -->